Status: Closed Priority: Must have
Author: Aske Ertmann Category:
Created: 2013-07-11 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Prevent page reload if content structure is different
Description

Currently when a page is loaded via AJAX and the content structure of the loaded page is different from the initialized page, the whole
browser location is reloaded. This is because we lack a way to initialize different structures for VIE. It shouldn't matter if it's a page with
one content collection or two and what they're called.

Associated revisions
Revision 39e9f64e - 2013-10-03 15:39 - Sebastian Kurfuerst

[!!!][FEATURE] improve reloading of content without neos-reloadable-content

This change removes the neos-reloadable-content CSS class, which was
used to determine the sections which shall be reloaded. Now,
we reload everything between #t3-page-metainformation (which is
rendered directly after the body tag by the Neos PageTemplate.html)
and #neos-application, which is rendered at the very end of the body
by the same template.

This greatly improves the reloading experience, taking also changes
to menu states, breadcrumb, and complete layout modifications into account.

Applying new CSS classes on <html> and <body> is not yet supported,
though (but that did not work before this change, either).

This change is breaking because <neos:contentElement> does not have
a reloadable-attribute anymore. Just remove these classes from your
usages of <neos:contentElement>.

Make sure to check the corresponding changes as well.

Change-Id: Ic2b2c1f6cdf21c8bd251426b14d877bdccfbbe7e
Resolves: #49945
Reviewed-on: https://review.typo3.org/24300
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-07-11 22:45 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos

#2 - 2013-10-03 15:38 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04 1/2

https://review.typo3.org/24300


Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24300

#3 - 2013-10-03 18:05 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#4 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
